-- Save window position --
function saveOptions()

    -- Fixes issue where french client was adding invalid data to array
    for key,value in pairs(options) do
        if (key ~= "xPos" and key ~= "yPos" and key ~= "mettleBarHeight" and key ~= "mettleBarGap" and key ~= "mettleBarLenght" and key ~= "enableMovement" and key ~= "hideOutOfCombat" and key ~= "displayNumber") then
            options[key] = nil;
        end
    end

    Turbine.PluginData.Save(Turbine.DataScope.Character, settingsFileName, options);
end


-- Load window position --
function loadOptions()
    local _options = Turbine.PluginData.Load(Turbine.DataScope.Character, settingsFileName);
    if _options ~= nil then

        if (_options["xPos"] == nil) then
            _options["xPos"] = options["xPos"];
        end

        if (_options["yPos"] == nil) then
            _options["yPos"] = options["yPos"];
        end

        if (_options["enableMovement"] == nil) then
            _options["enableMovement"] = options["enableMovement"];
        end

        if (_options["mettleBarHeight"] == nil) then
            _options["mettleBarHeight"] = options["mettleBarHeight"];
        end

        if (_options["mettleBarGap"] == nil) then
            _options["mettleBarGap"] = options["mettleBarGap"];
        end

        if (_options["mettleBarLenght"] == nil) then
            _options["mettleBarLenght"] = options["mettleBarLenght"];
        end

        if (_options["hideOutOfCombat"] == nil) then
            _options["hideOutOfCombat"] = options["hideOutOfCombat"];
        end

        if (_options["displayNumber"] == nil) then
            _options["displayNumber"] = options["displayNumber"];
        end

        options = _options;
    end
end