-- Plugin's name --
pluginName = "BrawlerMettleDisplay";

-- File names --
settingsFileName = "BrawlerMettleDisplay_Settings";

-- Users screen size --
screenWidth, screenHeight = Turbine.UI.Display:GetSize();

-- Get local player reference --
player = Turbine.Gameplay.LocalPlayer.GetInstance();

-- Default options --
options = {
    xPos = screenWidth / 2,
    yPos = screenHeight / 2,
    enableMovement = true,
    displayNumber = true,
    mettleBarLenght = 30,
    mettleBarHeight = 10,
    mettleBarGap = 3,
    hideOutOfCombat = false,
}

-- RGB color codes --
rgb = {
    pluginName = "<rgb=#DAA520>",
    error = "<rgb=#FF0000>",
    clear = "</rgb>",
};